using Microsoft.AspNetCore.Mvc.Filters;

namespace AipGateway.API.Service.Filters
{
    public class AipApiActionFilter : IActionFilter
    {
        private readonly ILogger<AipApiActionFilter> _logger;

        public AipApiActionFilter(ILogger<AipApiActionFilter> logger)
        {
            _logger = logger;
            _logger.LogError("ddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd: AipApiActionFilter");
        }

        public void OnActionExecuting(ActionExecutingContext context)
        {
            _logger.LogError("OnActionExecuting: {0}", context.ToString());
        }

        public void OnActionExecuted(ActionExecutedContext context)
        {
            _logger.LogError("OnActionExecuted: {0}", context.ToString());
        }

    }
}
